summaryrefslogtreecommitdiffstats
path: root/source/kde/koffice/koffice.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/kde/koffice/koffice.SlackBuild
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-slackware-13.37.tar.gz
current-slackware-13.37.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/kde/koffice/koffice.SlackBuild')
-rwxr-xr-xsource/kde/koffice/koffice.SlackBuild20
1 files changed, 15 insertions, 5 deletions
diff --git a/source/kde/koffice/koffice.SlackBuild b/source/kde/koffice/koffice.SlackBuild
index d7332bf5b..a87d36e71 100755
--- a/source/kde/koffice/koffice.SlackBuild
+++ b/source/kde/koffice/koffice.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -47,8 +47,6 @@ echo "Building koffice-$VERSION..."
tar xvf $CWD/../src/koffice-$VERSION.tar.?z* || exit 1
cd koffice-$VERSION
-zcat $CWD/koffice.krita.png14.diff.gz | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -62,13 +60,12 @@ cd build
$KDE_OPT_ARGS \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
-DMAN_INSTALL_DIR=/usr/man \
-DSYSCONF_INSTALL_DIR=/etc/kde \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
..
- make $NUMJOBS || exit 1
+ make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
cd -
@@ -76,6 +73,19 @@ if [ -d $PKG/usr/man ]; then
gzip -9 $PKG/usr/man/man?/*
fi
+if [ ! -r $PKG/usr/bin/kformula ]; then # wtf??
+ echo "Kludging KFormula installation..."
+ cp -a build/kformula/kformula $PKG/usr/bin/kformula || exit 1
+ cp -a build/lib/kformulapart.so $PKG/usr/lib${LIBDIRSUFFIX}/kde4/kformulapart.so || exit 1
+ cp -a build/lib/libkdeinit_kformula.so $PKG/usr/lib${LIBDIRSUFFIX}/libkdeinit_kformula.so || exit 1
+ cp -a kformula/kformula.desktop $PKG/usr/share/applications/kde4/kformula.desktop || exit 1
+ mkdir -p $PKG/usr/share/apps/kformula || exit 1
+ cp -a kformula/kformula.rc $PKG/usr/share/apps/kformula/kformula.rc || exit 1
+ cp -a kformula/kformula_readonly.rc $PKG/usr/share/apps/kformula/kformula_readonly.rc || exit 1
+ cp -a kformula/tips $PKG/usr/share/apps/kformula/tips || exit 1
+ cp -a kformula/kformulapart.desktop $PKG/usr/share/kde4/services/kformulapart.desktop || exit 1
+fi
+
mkdir -p $PKG/usr/doc/koffice-$VERSION
cp -a AUTHORS COPYING* README* $PKG/usr/doc/koffice-$VERSION